> ## Documentation Index
> Fetch the complete documentation index at: https://aisa.one/docs/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Google Hotel Searches Results by id

> Hotel Searches API will provide you with a list of hotels and including prices, images, rating data, and more for each hotel.



## OpenAPI

````yaml openapi/dataforseo.json GET /dataforseo/business_data/google/hotel_searches/task_get/{id}
openapi: 3.0.3
info:
  title: DataForSEO API
  version: 1.0.0
  description: DataForSEO API endpoints exposed through the AIsa unified gateway.
servers:
  - url: https://api.aisa.one/apis/v1
security:
  - BearerAuth: []
paths:
  /dataforseo/business_data/google/hotel_searches/task_get/{id}:
    get:
      summary: Get Google Hotel Searches Results by id
      description: >-
        Hotel Searches API will provide you with a list of hotels and including
        prices, images, rating data, and more for each hotel. Using different
        parameters in a POST array you can get a filtered list of hotels
        according to the supported parameters.
      operationId: get_dataforseo_business_data_google_hotel_searches_task_get_id
      parameters:
        - name: id
          in: path
          required: true
          schema:
            type: string
          description: DataForSEO task ID.
        - name: id
          in: query
          required: false
          schema:
            type: string
          description: >-
            *task identifier* **unique task identifier in our system in the
            [UUID](https://en.wikipedia.org/wiki/Universally_unique_identifier)
            format** you will be able to use it within **30 days** to request
            the results of the task at any time
      responses:
        '200':
          description: Successful response
          content:
            application/json:
              schema:
                type: object
                properties:
                  version:
                    type: string
                    description: '*the current version of the API*'
                  version.status_code:
                    type: integer
                    description: >-
                      *general status code* you can find the full list of the
                      response codes
                      [here](https://docs.dataforseo.com/v3/appendix/errors.md)
                      **Note:** we strongly recommend designing a necessary
                      system for handling related exceptional or error
                      conditions
                  version.status_message:
                    type: string
                    description: >-
                      *general informational message* you can find the full list
                      of general informational messages
                      [here](https://docs.dataforseo.com/v3/appendix/errors.md)
                  version.time:
                    type: string
                    description: '*execution time, seconds*'
                  version.cost:
                    type: number
                    description: '*total *tasks* cost, USD*'
                  version.tasks_count:
                    type: integer
                    description: '*the number of tasks in the **`tasks`** array*'
                  version.tasks_error:
                    type: integer
                    description: >-
                      *the number of tasks in the **`tasks`** array that were
                      returned an error*
                  tasks:
                    type: array
                    items:
                      type: string
                    description: '*array of tasks*'
                  tasks.id:
                    type: string
                    description: >-
                      *task identifier* **unique task identifier in our system
                      in the
                      [UUID](https://en.wikipedia.org/wiki/Universally_unique_identifier)
                      format**
                  tasks.status_code:
                    type: integer
                    description: >-
                      *status code of the task* generated by DataForSEO; can be
                      within the following range: 10000-60000 you can find the
                      full list of the response codes
                      [here](https://docs.dataforseo.com/v3/appendix/errors.md)
                  tasks.status_message:
                    type: string
                    description: >-
                      *informational message of the task* you can find the full
                      list of general informational messages
                      [here](https://docs.dataforseo.com/v3/appendix/errors.md)
                  tasks.time:
                    type: string
                    description: '*execution time, seconds*'
                  tasks.cost:
                    type: number
                    description: '*cost of the task, USD*'
                  tasks.result_count:
                    type: integer
                    description: '*number of elements in the `result` array*'
                  tasks.path:
                    type: array
                    items:
                      type: string
                    description: '*URL path*'
                  tasks.data:
                    type: object
                    description: >-
                      *contains the same parameters that you specified in the
                      POST request*
                  result:
                    type: array
                    items:
                      type: string
                    description: '*array of results*'
                  result.keyword:
                    type: string
                    description: >-
                      *keyword received in a POST array* keyword is returned
                      with decoded %## (plus character ‘+’ will be decoded to a
                      space character); in order to obtain accurate search
                      results, the location name is appended to the keyword
                      automatically
                  result.location_code:
                    type: integer
                    description: '*location code in a POST array*'
                  result.language_code:
                    type: string
                    description: '*language code in a POST array*'
                  result.check_url:
                    type: string
                    description: >-
                      *direct URL to search engine results* you can use it to
                      make sure that we provided accurate results
                  result.datetime:
                    type: string
                    description: >-
                      *date and time when the result was received* in the UTC
                      format: “yyyy-mm-dd hh-mm-ss +00:00” example: `2019-11-15
                      12:57:46 +00:00`
                  result.items_count:
                    type: integer
                    description: '*item types* the number of items in the `items` array'
                  items:
                    type: array
                    items:
                      type: string
                    description: >-
                      *encountered item types* types of search engine results
                      encountered in the `items` array; possible item types:
                      `hotel_search_item`
                  items.type:
                    type: string
                    description: '*type of element = **‘hotel\_search\_item’***'
                  items.hotel_identifier:
                    type: string
                    description: >-
                      *unique identifier of a hotel entity in Google search*
                      example: `CgoI-KWyzenM_MV3EAE`
                  items.title:
                    type: string
                    description: '*title of the hotel*'
                  items.stars:
                    type: integer
                    description: >-
                      *hotel class rating* class rating that ranges between 1-5
                      stars
                  items.is_paid:
                    type: boolean
                    description: >-
                      *indicates a paid hotel listing* if `true`, related
                      `hotel_search_item` is a paid ad if `false`, related
                      `hotel_search_item` is an organic hotel listing
                  items.location:
                    type: object
                    description: '*GPS coordinates of the hotel’s location*'
                  items.latitude:
                    type: number
                    description: >-
                      *latitude coordinate of the hotel in google maps* example:
                      `"latitude": 51.584091`
                  items.longitude:
                    type: number
                    description: >-
                      *longitude coordinate of the hotel in google maps*
                      example: `"longitude": -0.31365919999999997`
                  items.reviews:
                    type: object
                    description: '*hotel reviews and rating information*'
                  items.value:
                    type: number
                    description: '*the average rating based on all reviews*'
                  items.votes_count:
                    type: integer
                    description: '*the number of votes*'
                  items.mentions:
                    type: array
                    items:
                      type: string
                    description: >-
                      *hotel mentions* **note:** this field always equals
                      `null`; use it to facilitate integration and ensure
                      interoperability with the [Hotel
                      Info](https://docs.dataforseo.com/v3/business_data/google/hotel_info/live/advanced.md)
                      endpoint
                  items.rating_distribution:
                    type: object
                    description: >-
                      *rating distribution by votes* **note:** this field always
                      equals `null`; use it to facilitate integration and ensure
                      interoperability with the [Hotel
                      Info](https://docs.dataforseo.com/v3/business_data/google/hotel_info/live/advanced.md)
                      endpoint
                  items.other_sites_reviews:
                    type: array
                    items:
                      type: string
                    description: >-
                      *reviews on third-party sites* **note:** this field always
                      equals `null`; use it to facilitate integration and ensure
                      interoperability with the [Hotel
                      Info](https://docs.dataforseo.com/v3/business_data/google/hotel_info/live/advanced.md)
                      endpoint
                  items.overview_images:
                    type: array
                    items:
                      type: string
                    description: '*featured images for a hotel*'
                  items.prices:
                    type: object
                    description: '*hotel price*'
                  items.price:
                    type: integer
                    description: '*price per night*'
                  items.price_without_discount:
                    type: integer
                    description: '*full price per night without a discount applied*'
                  items.currency:
                    type: string
                    description: >-
                      *price currency* `USD` is applied by default, unless
                      specified in the POST array
                  items.discount_text:
                    type: string
                    description: '*text about a discount applied*'
                  items.check_in:
                    type: string
                    description: >-
                      *check-in date and time* in the UTC format: “yyyy-mm-dd
                      hh-mm-ss +00:00” example: `2019-11-15 12:57:46 +00:00`
                  items.check_out:
                    type: string
                    description: >-
                      *check-out date and time* in the UTC format: “yyyy-mm-dd
                      hh-mm-ss +00:00” example: `2019-11-15 12:57:46 +00:00`
                  items.visitors:
                    type: integer
                    description: '*number of hotel visitors for this price*'
                  items.items:
                    type: array
                    items:
                      type: string
                    description: >-
                      *array of items* **note:** this field always equals
                      `null`; use it to facilitate integration and ensure
                      interoperability with the [Hotel
                      Info](https://docs.dataforseo.com/v3/business_data/google/hotel_info/live/advanced.md)
                      endpoint
        '400':
          description: Bad request
        '401':
          description: Unauthorized
        '429':
          description: Rate limit exceeded
        '500':
          description: Internal server error
components:
  securitySchemes:
    BearerAuth:
      type: http
      scheme: bearer

````